Subject: Re: bug#3442: 23.0.94; "C-x 5 1" (delete-other-frames) kills daemon

From: Teemu Likonen <[email-masked]>
Date: Fri, 05 Jun 2009 07:13:13 +0300

On 2009-06-04 18:25 (-0700), Dan Nicolaescu wrote:

> Stefan Monnier <[email-masked]> writes:
>   > I've installed a patch that makes C-x 5 1 only delete frames on
>   > the same terminal, which should fix this issue.
>
> That's a behavior change, isn't it? Maybe people use C-x 5 1 to remove
> the rest of the frames on all terminals... (I personally have never
> used C-x 5 1)

I don't know what terminal means in this context nor what other people
think but just as a simple user this is what I'd expect: In X Window
System C-x 5 1 would delete other X frames. In tty C-x 5 1 would delete
other frames in that particular tty. Quite obviously neither would
affect daemon nor unrelated Emacs sessions.

I use C-x 5 1 quite a lot.